# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFolderType Class Reference

Folder mime type. Mimetype for a folder (inode/directory). More...

`#include <kmimetype.h>`

Inheritance diagram for KFolderType:

[legend]
Collaboration diagram for KFolderType:

[legend]
List of all members.

## Public Member Functions

| KFolderType (KDesktopFile *config)
| KFolderType (QDataStream &_str, int offset)
virtual QString | icon (const QString &_url, bool _is_local) const
virtual QString | icon (const KURL &_url, bool _is_local) const
virtual QString | comment (const QString &_url, bool _is_local) const
virtual QString | comment (const KURL &_url, bool _is_local) const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Folder mime type. Mimetype for a folder (inode/directory).

Handles locked folders, for instance.

Definition at line 477 of file kmimetype.h.

## Constructor & Destructor Documentation

KFolderType::KFolderType | ( | KDesktopFile * | config | ) | `[inline]`

Construct a folder mimetype and take all information from a desktop file.

Parameters:

  | config | the desktop configuration file that describes the mime type

Definition at line 489 of file kmimetype.h.

## Member Function Documentation

QString KFolderType::icon | ( | const QString & | _url,
|  | bool | _is_local
| ) | const`[virtual]`

Return the filename of the icon associated with the mimetype.

The arguments are unused, but provided so that KMimeType-derived classes can use them (e.g. KFolderType uses the URL to return one out of 2 icons)

Returns:
  The path to the icon associated with this MIME type.

Reimplemented from KMimeType.

Definition at line 592 of file kmimetype.cpp.

References KServiceType::icon().

Referenced by icon().

QString KFolderType::icon | ( | const KURL & | _url,
|  | bool | _is_local
| ) | const`[virtual]`

Return the filename of the icon associated with the mimetype.

The arguments are unused, but provided so that KMimeType-derived classes can use them (e.g. KFolderType uses the URL to return one out of 2 icons)

Returns:
  The path to the icon associated with this MIME type.

Reimplemented from KMimeType.

Definition at line 600 of file kmimetype.cpp.

References KURL::addPath(), QValueList::append(), QValueList::end(), QValueList::find(), icon(), KServiceType::icon(), QString::isEmpty(), QString::mid(), KURL::path(), and QString::startsWith().

QString KFolderType::comment | ( | const QString & | _url,
|  | bool | _is_local
| ) | const`[virtual]`

Returns the descriptive comment associated with the MIME type.

The arguments are unused, but provided so that KMimeType derived classes can use them.

Returns:
  The descriptive comment associated with the MIME type, if any.

Reimplemented from KMimeType.

Definition at line 665 of file kmimetype.cpp.

References KMimeType::comment().

Referenced by comment().

QString KFolderType::comment | ( | const KURL & | _url,
|  | bool | _is_local
| ) | const`[virtual]`

Returns the descriptive comment associated with the MIME type.

The arguments are unused, but provided so that KMimeType derived classes can use them.

Returns:
  The descriptive comment associated with the MIME type, if any.

Reimplemented from KMimeType.

Definition at line 673 of file kmimetype.cpp.

References KURL::addPath(), comment(), KMimeType::comment(), QString::isEmpty(), and KURL::path().

The documentation for this class was generated from the following files:

- kmimetype.h
- kmimetype.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:52 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003